%define anolis_release 1

Name:           help2man
Summary:        Create simple man pages from --help output
Version:        1.49.3
Release:        %{anolis_release}%{?dist}
License:        GPL-3.0-or-later
URL:            https://www.gnu.org/software/help2man/
Source:         https://ftp.gnu.org/gnu/help2man/help2man-%{version}.tar.xz
BuildArch:      noarch
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(POSIX)
BuildRequires:  perl(Text::ParseWords)
BuildRequires:  perl(Text::Tabs)
BuildRequires:  perl(strict)

%description
help2man is a script to create simple man pages from the --help and
--version output of programs.

Since most GNU documentation is now in info format, this provides a
way to generate a placeholder man page pointing to that resource while
still providing some useful information.

%prep
%setup -q -n help2man-%{version}

%build
%configure --disable-nls
%{make_build}

%install
%{__make} install_l10n DESTDIR=$RPM_BUILD_ROOT
%{make_install}
%find_lang %name --with-man

%files -f %name.lang
%doc README NEWS THANKS
%license COPYING
%{_bindir}/help2man
%{_infodir}/*
%{_mandir}/man1/*

%changelog
* Tue Jan 17 2023 Funda Wang <fundawang@yeah.net> - 1.49.3-1
- Import package for anolis 23.
